# H245_OpenLogicalChannelReject_cause Class Reference

`#include <h245.h>`

List of all members.

## Public Types

enum | Choices { e_unspecified, e_unsuitableReverseParameters, e_dataTypeNotSupported, e_dataTypeNotAvailable, e_unknownDataType, e_dataTypeALCombinationNotSupported, e_multicastChannelNotAllowed, e_insufficientBandwidth, e_separateStackEstablishmentFailed, e_invalidSessionID, e_masterSlaveConflict, e_waitForCommunicationMode, e_invalidDependentChannel, e_replacementForRejected, e_securityDenied }

## Public Member Functions

| H245_OpenLogicalChannelReject_cause (unsigned tag=0, TagClass tagClass=UniversalTagClass)
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H245_OpenLogicalChannelReject_cause::Choices

Enumerator:

  e_unspecified |
  e_unsuitableReverseParameters |
  e_dataTypeNotSupported |
  e_dataTypeNotAvailable |
  e_unknownDataType |
  e_dataTypeALCombinationNotSupported |
  e_multicastChannelNotAllowed |
  e_insufficientBandwidth |
  e_separateStackEstablishmentFailed |
  e_invalidSessionID |
  e_masterSlaveConflict |
  e_waitForCommunicationMode |
  e_invalidDependentChannel |
  e_replacementForRejected |
  e_securityDenied |

## Constructor & Destructor Documentation

H245_OpenLogicalChannelReject_cause::H245_OpenLogicalChannelReject_cause | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PBoolean H245_OpenLogicalChannelReject_cause::CreateObject | ( |  | ) |

PObject* H245_OpenLogicalChannelReject_cause::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h245.h